<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.tasks (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/api/tasks/package-summary.html" target="classFrame">org.gradle.api.tasks</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="AntBuilderAware.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>AntBuilderAware</i></a></li>
<li><a href="CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>CompatibilityAdapterForTaskInputs</i></a></li>
<li><a href="CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>CompatibilityAdapterForTaskOutputs</i></a></li>
<li><a href="GroovySourceSet.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>GroovySourceSet</i></a></li>
<li><a href="ScalaSourceSet.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>ScalaSourceSet</i></a></li>
<li><a href="SourceSet.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>SourceSet</i></a></li>
<li><a href="SourceSetContainer.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>SourceSetContainer</i></a></li>
<li><a href="SourceSetOutput.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>SourceSetOutput</i></a></li>
<li><a href="TaskCollection.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskCollection</i></a></li>
<li><a href="TaskContainer.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskContainer</i></a></li>
<li><a href="TaskDependency.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskDependency</i></a></li>
<li><a href="TaskDestroyables.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskDestroyables</i></a></li>
<li><a href="TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskFilePropertyBuilder</i></a></li>
<li><a href="TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskInputFilePropertyBuilder</i></a></li>
<li><a href="TaskInputs.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskInputs</i></a></li>
<li><a href="TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskOutputFilePropertyBuilder</i></a></li>
<li><a href="TaskOutputs.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskOutputs</i></a></li>
<li><a href="TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskPropertyBuilder</i></a></li>
<li><a href="TaskReference.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskReference</i></a></li>
<li><a href="TaskState.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>TaskState</i></a></li>
<li><a href="VerificationTask.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>VerificationTask</i></a></li>
<li><a href="WorkResult.html" title="interface in org.gradle.api.tasks" target="classFrame"><i>WorkResult</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractCopyTask.html" title="class in org.gradle.api.tasks" target="classFrame">AbstractCopyTask</a></li>
<li><a href="AbstractExecTask.html" title="class in org.gradle.api.tasks" target="classFrame">AbstractExecTask</a></li>
<li><a href="Copy.html" title="class in org.gradle.api.tasks" target="classFrame">Copy</a></li>
<li><a href="Delete.html" title="class in org.gradle.api.tasks" target="classFrame">Delete</a></li>
<li><a href="Exec.html" title="class in org.gradle.api.tasks" target="classFrame">Exec</a></li>
<li><a href="GradleBuild.html" title="class in org.gradle.api.tasks" target="classFrame">GradleBuild</a></li>
<li><a href="GroovyRuntime.html" title="class in org.gradle.api.tasks" target="classFrame">GroovyRuntime</a></li>
<li><a href="JavaExec.html" title="class in org.gradle.api.tasks" target="classFrame">JavaExec</a></li>
<li><a href="ScalaRuntime.html" title="class in org.gradle.api.tasks" target="classFrame">ScalaRuntime</a></li>
<li><a href="SourceTask.html" title="class in org.gradle.api.tasks" target="classFrame">SourceTask</a></li>
<li><a href="Sync.html" title="class in org.gradle.api.tasks" target="classFrame">Sync</a></li>
<li><a href="Upload.html" title="class in org.gradle.api.tasks" target="classFrame">Upload</a></li>
<li><a href="WorkResults.html" title="class in org.gradle.api.tasks" target="classFrame">WorkResults</a></li>
<li><a href="WriteProperties.html" title="class in org.gradle.api.tasks" target="classFrame">WriteProperties</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="PathSensitivity.html" title="enum in org.gradle.api.tasks" target="classFrame">PathSensitivity</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="StopActionException.html" title="class in org.gradle.api.tasks" target="classFrame">StopActionException</a></li>
<li><a href="StopExecutionException.html" title="class in org.gradle.api.tasks" target="classFrame">StopExecutionException</a></li>
<li><a href="TaskExecutionException.html" title="class in org.gradle.api.tasks" target="classFrame">TaskExecutionException</a></li>
<li><a href="TaskInstantiationException.html" title="class in org.gradle.api.tasks" target="classFrame">TaskInstantiationException</a></li>
<li><a href="TaskValidationException.html" title="class in org.gradle.api.tasks" target="classFrame">TaskValidationException</a></li>
</ul>
<h2 title="Annotation Types">Annotation Types</h2>
<ul title="Annotation Types">
<li><a href="CacheableTask.html" title="annotation in org.gradle.api.tasks" target="classFrame">CacheableTask</a></li>
<li><a href="Classpath.html" title="annotation in org.gradle.api.tasks" target="classFrame">Classpath</a></li>
<li><a href="CompileClasspath.html" title="annotation in org.gradle.api.tasks" target="classFrame">CompileClasspath</a></li>
<li><a href="Console.html" title="annotation in org.gradle.api.tasks" target="classFrame">Console</a></li>
<li><a href="Destroys.html" title="annotation in org.gradle.api.tasks" target="classFrame">Destroys</a></li>
<li><a href="Input.html" title="annotation in org.gradle.api.tasks" target="classFrame">Input</a></li>
<li><a href="InputDirectory.html" title="annotation in org.gradle.api.tasks" target="classFrame">InputDirectory</a></li>
<li><a href="InputFile.html" title="annotation in org.gradle.api.tasks" target="classFrame">InputFile</a></li>
<li><a href="InputFiles.html" title="annotation in org.gradle.api.tasks" target="classFrame">InputFiles</a></li>
<li><a href="Internal.html" title="annotation in org.gradle.api.tasks" target="classFrame">Internal</a></li>
<li><a href="Nested.html" title="annotation in org.gradle.api.tasks" target="classFrame">Nested</a></li>
<li><a href="Optional.html" title="annotation in org.gradle.api.tasks" target="classFrame">Optional</a></li>
<li><a href="OutputDirectories.html" title="annotation in org.gradle.api.tasks" target="classFrame">OutputDirectories</a></li>
<li><a href="OutputDirectory.html" title="annotation in org.gradle.api.tasks" target="classFrame">OutputDirectory</a></li>
<li><a href="OutputFile.html" title="annotation in org.gradle.api.tasks" target="classFrame">OutputFile</a></li>
<li><a href="OutputFiles.html" title="annotation in org.gradle.api.tasks" target="classFrame">OutputFiles</a></li>
<li><a href="PathSensitive.html" title="annotation in org.gradle.api.tasks" target="classFrame">PathSensitive</a></li>
<li><a href="SkipWhenEmpty.html" title="annotation in org.gradle.api.tasks" target="classFrame">SkipWhenEmpty</a></li>
<li><a href="TaskAction.html" title="annotation in org.gradle.api.tasks" target="classFrame">TaskAction</a></li>
</ul>
</div>
</body>
</html>
